package cn.iocoder.hake.module.op.domain;

import java.util.List;

/**
 * Contract for a generic dto to entity mapper.
 *
 * @author Administrator
 * @param <D> - DTO type parameter.
 * @param <E> - Entity type parameter.
 *           接口方法中需要，VO或者DTO对象在前
 *           数据库对象再后
 *           否则就是反的
 */

public interface EntityMapper<D, E> {

    E toEntity(D voOrDto);

    D toVoOrDto(E entity);

    List <E> toEntity(List<D> voOrDtoList);

    List <D> toVoOrDto(List<E> entityList);
}
